New order webhook
curl --request POST \
--url https://api.artisn.desarrollo-redbrand.com/api/domain-cliente/webhook/new-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_id": "<string>",
"status": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"items": [
{
"product_id": "<string>",
"quantity": 123,
"price": 123
}
],
"total": 123
}
'import requests
url = "https://api.artisn.desarrollo-redbrand.com/api/domain-cliente/webhook/new-order"
payload = {
"order_id": "<string>",
"status": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"items": [
{
"product_id": "<string>",
"quantity": 123,
"price": 123
}
],
"total": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_id: '<string>',
status: '<string>',
customer: {id: '<string>', name: '<string>', email: '<string>'},
items: [{product_id: '<string>', quantity: 123, price: 123}],
total: 123
})
};
fetch('https://api.artisn.desarrollo-redbrand.com/api/domain-cliente/webhook/new-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "OK"
}{
"error": "invalid_request",
"error_description": "The request body is invalid"
}Servicio Web de Inyección
Webhook de nuevo pedido
This service will need to be implemented on the client side so that Trade can consume it. This will serve to notify the client every time a new order entered event occurs.
POST
/
domain-cliente
/
webhook
/
new-order
New order webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Order successfully notified
Example:
"OK"
⌘I

